> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# Get

GET https://api.icepanel.io/v1/landscapes/{landscapeId}/versions/{versionId}/drafts/{draftId}

Reference: https://developer.icepanel.io/api-reference/drafts/get

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)
- `versionId` (string, required)
- `draftId` (string, required)

## Response

### 200

OK

- `draft` (Draft, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### Draft

- `commit` (double, required)
- `handleId` (string, required)
- `labels` (map from string to string, required)
- `name` (string, required)
- `status` (enum, required)
  - Allowed values: `in-progress`, `merged`, `archived`
- `createdAt` (datetime, required)
- `createdBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `createdById` (string, required)
- `id` (string, required)
- `landscapeId` (string, required)
- `originVersionId` (string, required)
- `updatedAt` (datetime, required)
- `updatedBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `updatedById` (string, required)
- `version` (double, required)
- `versionId` (string, required)
- `changeSummary` (DraftChangeSummary, optional)
- `summaryDirtiedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `deletedBy` (enum, optional)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `deletedById` (string, optional)
- `headVersionId` (string, optional)
- `latestEntityId` (string, optional)
- `mergedAt` (datetime, optional)
- `mergedBy` (enum, optional)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `mergedById` (string, optional)
- `viewedAt` (datetime, optional)
- `viewedBy` (enum, optional)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `viewedById` (string, optional)

### DraftChangeSummary

- `createdAt` (datetime, required)
- `summary` (string, required)
- `updatedAt` (datetime, required)

## Examples

**Response**

```json
{
  "draft": {
    "commit": 1.1,
    "handleId": "string",
    "labels": {},
    "name": "string",
    "status": "in-progress",
    "createdAt": "2024-01-15T09:30:00Z",
    "createdBy": "user",
    "createdById": "string",
    "id": "string",
    "landscapeId": "string",
    "originVersionId": "string",
    "updatedAt": "2024-01-15T09:30:00Z",
    "updatedBy": "user",
    "updatedById": "string",
    "version": 1.1,
    "versionId": "string",
    "changeSummary": {
      "createdAt": "2024-01-15T09:30:00Z",
      "summary": "string",
      "updatedAt": "2024-01-15T09:30:00Z"
    },
    "summaryDirtiedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "deletedBy": "user",
    "deletedById": "string",
    "headVersionId": "string",
    "latestEntityId": "string",
    "mergedAt": "2024-01-15T09:30:00Z",
    "mergedBy": "user",
    "mergedById": "string",
    "viewedAt": "2024-01-15T09:30:00Z",
    "viewedBy": "user",
    "viewedById": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/drafts/draftId"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/drafts/draftId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/drafts/draftId");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```